summaryrefslogtreecommitdiff
path: root/tests/sampledata.sh
diff options
context:
space:
mode:
authorMathis Rosenhauer <rosenhauer@dkrz.de>2014-02-13 10:04:24 +0100
committerMathis Rosenhauer <rosenhauer@dkrz.de>2014-02-13 10:04:24 +0100
commitcaf209a4f64e15501d5c59ccad71e17797c0ee2b (patch)
treea6073c33dc1cfd57f629ea9eebedec08759dc716 /tests/sampledata.sh
parentf715432f835bcbc5e285ca1d8f91420029219268 (diff)
downloadlibaec-caf209a4f64e15501d5c59ccad71e17797c0ee2b.tar.gz
libaec-caf209a4f64e15501d5c59ccad71e17797c0ee2b.tar.bz2
libaec-caf209a4f64e15501d5c59ccad71e17797c0ee2b.zip
additional testing for encoding sample data
Diffstat (limited to 'tests/sampledata.sh')
-rwxr-xr-xtests/sampledata.sh77
1 files changed, 42 insertions, 35 deletions
diff --git a/tests/sampledata.sh b/tests/sampledata.sh
index 82e5ffe..ca6db97 100755
--- a/tests/sampledata.sh
+++ b/tests/sampledata.sh
@@ -12,31 +12,51 @@ if [ ! -f $archive ]; then
fi
unzip -oq $archive
+decode () {
+ $AEC -c -d $3 $1 > test.dat
+ cmp -n $(stat -c "%s" $2) $2 test.dat
+}
+
+code () {
+ $AEC -c $3 $2 > test.rz
+ cmp $1 test.rz
+}
+
+code_size () {
+ $AEC -c $3 $2 > test.rz
+ if [ ! $(stat -c "%s" test.rz) -eq $(stat -c "%s" $1) ]; then
+ echo "$1 size mismatch"
+ exit 1
+ fi
+}
+
+codec () {
+ code "$@"
+ decode "$@"
+}
+
+cosdec () {
+ code_size "$@"
+ decode "$@"
+}
+
echo All Options
ln -f ${ALLO}/test_P512n22.dat ${ALLO}/test_p512n22.dat
for i in 01 02 03 04
do
- $AEC -c -d -n$i -j16 -r16 $ALLO/test_p256n${i}-basic.rz > test.dat
- ref=$ALLO/test_p256n${i}.dat
- refsize=$(stat -c "%s" $ref)
- cmp -n $refsize $ref test.dat
- $AEC -c -n$i -j16 -r16 $ref > test.rz
- cmp $ALLO/test_p256n${i}-basic.rz test.rz
-
- $AEC -c -d -n$i -j16 -r16 -t $ALLO/test_p256n${i}-restricted.rz > test.dat
- cmp -n $refsize $ref test.dat
- $AEC -c -n$i -j16 -r16 -t $ref > test.rz
- cmp $ALLO/test_p256n${i}-restricted.rz test.rz
+ uf=$ALLO/test_p256n${i}.dat
+ codec $ALLO/test_p256n${i}-basic.rz $uf "-n$i -j16 -r16"
+ codec $ALLO/test_p256n${i}-restricted.rz $uf "-n$i -j16 -r16 -t"
done
for i in 05 06 07 08 09 10 11 12 13 14 15 16
do
- $AEC -c -d -n$i -j16 -r16 $ALLO/test_p256n${i}.rz > test.dat
- cmp $ALLO/test_p256n${i}.dat test.dat
+ cosdec $ALLO/test_p256n${i}.rz $ALLO/test_p256n${i}.dat \
+ "-n$i -j16 -r16"
done
for i in 17 18 19 20 21 22 23 24
do
- $AEC -c -d -n$i -j16 -r32 $ALLO/test_p512n${i}.rz > test.dat
- cmp $ALLO/test_p512n${i}.dat test.dat
+ cosdec $ALLO/test_p512n${i}.rz $ALLO/test_p512n${i}.dat \
+ "-n$i -j16 -r32"
done
echo Low Entropy Options
@@ -44,30 +64,17 @@ for i in 1 2 3
do
for j in 01 02 03 04
do
- $AEC -c -d -n$j -j16 -r64 $LOWE/Lowset${i}_8bit.n${j}-basic.rz \
- > test.dat
- ref=$LOWE/Lowset${i}_8bit.dat
- refsize=$(stat -c "%s" $ref)
- cmp -n $refsize $ref test.dat
- $AEC -c -d -n$j -j16 -r64 -t $LOWE/Lowset${i}_8bit.n${j}-restricted.rz \
- > test.dat
- cmp -n $refsize $ref test.dat
+ uf=$LOWE/Lowset${i}_8bit.dat
+ codec $LOWE/Lowset${i}_8bit.n${j}-basic.rz $uf "-n$j -j16 -r64"
+ codec $LOWE/Lowset${i}_8bit.n${j}-restricted.rz $uf "-n$j -j16 -r64 -t"
done
for j in 05 06 07 08
do
- $AEC -c -d -n$j -j16 -r64 $LOWE/Lowset${i}_8bit.n${j}.rz \
- > test.dat
- ref=$LOWE/Lowset${i}_8bit.dat
- refsize=$(stat -c "%s" $ref)
- cmp -n $refsize $ref test.dat
+ cosdec $LOWE/Lowset${i}_8bit.n${j}.rz $LOWE/Lowset${i}_8bit.dat \
+ "-n$j -j16 -r64"
done
done
echo Extended Parameters
-
-$AEC -c -d -n32 -j16 -r256 -p $EXTP/sar32bit.j16.r256.rz > test.dat
-ref=$EXTP/sar32bit.dat
-refsize=$(stat -c "%s" $ref)
-cmp -n $refsize $ref test.dat
-$AEC -c -d -n32 -j64 -r4096 -p $EXTP/sar32bit.j64.r4096.rz > test.dat
-cmp -n $refsize $ref test.dat
+decode $EXTP/sar32bit.j16.r256.rz $EXTP/sar32bit.dat "-n32 -j16 -r256 -p"
+decode $EXTP/sar32bit.j64.r4096.rz $EXTP/sar32bit.dat "-n32 -j64 -r4096 -p"